MediaEnumerationValue (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.industry

## Interface MediaEnumerationValue

- All Known Implementing Classes:
    AlphaTransparencyType, AppendOption, AuxBitsModeType, AVCCodedContentKind, Boolean, ByteOrder, ChannelStatusModeType, ColorSitingType, ColorSpace, CompressEnable, ContentScanningType, CriteriaType, DCMIType, DefinitionCriteriaType, DefinitionKind, Depend, EdgeType, EditHintType, ElectroSpatialFormulation, EmphasisType, FadeType, FieldNumber, FileRev, FilmType, IdentificationCriteriaType, IncludedMedia, LayoutType, MaterialType, MediaOpenMode, OperationChoice, PackageKind, ProductReleaseType, PulldownDirectionType, PulldownKindType, ReferenceType, RGBAComponentKind, ScanningDirectionType, SearchTag, SignalStandardType, TapeCaseType, TapeFormatType, TCSource, TypeCategory, UserDataModeType, VideoSignalType

      public interface MediaEnumerationValue

  Implemented by enumeration specifications that includes an integer value representing an AAF enumeration data type. Every enumeration constant must provide a unique ordinal value over the set of all enumeration constants of the same enumeration type and a symbol for XML representation. For AAF data types, this should be the same ordinal value as provided in the AAF object specification and/or current AAF meta dictionary.

  During the creation of instances of `TypeDefinitionEnumeration` from the associated Java enumeration, calling the `value()` method provides the `ElementValues` property. The `symbol()` method is used when serializing enumeration values to and from XML representations. The name of the enumeration element is the same as the Java enumeration literal name and this may be the same as or different from the symbol. Symbols may contain spaces and characters that are illegal as Java identifiers.

  All built-in enumerations specified for AAF must implement this interface. Other enumerations may implement this interface to indicate that they associate an ordinal value with each enumeration element.

  See Also:
    `TypeDefinitionEnumeration`, `TypeDefinitionEnumeration`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Returns the unique name associated with the enumeration constant.
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

- - ### Method Detail

    - #### value

          @Int64
          long value()

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Returns:
        Unique integer value associated with an enumeration constant.

    - #### name

          String name()

      Returns the unique name associated with the enumeration constant. For Java enumerations, this is established by calling `Enum.name()`.

      Returns:
        Unique name of the enumeration value.

    - #### symbol

          String symbol()

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.